//Initialize Bootstrap 5 Tooltips everywhere.
var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'));
var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
  return new bootstrap.Tooltip(tooltipTriggerEl, {
    html: true,
    sanitize: false,
  });
});

//Convert image links to Base64.
function convertImgToBase64(url, callback, outputFormat) {
  var canvas = document.createElement("CANVAS");
  var ctx = canvas.getContext("2d");
  var img = new Image();
  img.crossOrigin = "";
  img.onload = function () {
    canvas.height = img.height;
    canvas.width = img.width;
    ctx.drawImage(img, 0, 0);
    var dataURL = canvas.toDataURL(outputFormat || "image/png");
    callback.call(this, dataURL);
    canvas = null;
  };
  img.src = url;
}

//Output the form values to the template.
$("#ccg-name-input").on("keyup", function () {
  $("#ccg-name-output").html($(this).val());
  if (!this.value) {
    $("#ccg-name-output").text("Character Name");
  }
});

$("#ccg-avatar-input").on("keyup", function () {
  var imageURLInput = $(this).val();
  convertImgToBase64(imageURLInput, function (base64Img) {
    $("#ccg-avatar-output").css("background-image", "url(" + base64Img + ")");
  });
  event.preventDefault();
  if (!this.value) {
    $("#ccg-avatar-output").css("background-image", "url('../character-card-generator/assets/images/ccg-default-avatar.jpg')");
  }
});

$("#ccg-background-input").on("keyup", function () {
  var imageURLInput = $(this).val();
  convertImgToBase64(imageURLInput, function (base64Img) {
    $("#ccg-background-output").css("background-image", "url(" + base64Img + ")");
  });
  event.preventDefault();
  if (!this.value) {
    $("#ccg-background-output").css("background-image", "url('../character-card-generator/assets/images/ccg-default-bkg.jpg')");
  }
});

$("#ccg-quote-input").on("keyup", function () {
  $("#ccg-quote-output").html($(this).val());
  if (!this.value) {
    $("#ccg-quote-output").text("A short but memorable quote...");
  }
});

//Advanced options to alter the template appearance.
$("#ccg-card-layout").on("change", function (e) {
  var cardLayoutOptions = $(this).find("option:selected");
  var cardLayoutOutput = $("#ccg-output");
  if (cardLayoutOptions.attr("value") == "normal") {
    cardLayoutOutput.removeClass("reverse-layout");
  } else if (cardLayoutOptions.attr("value") == "reversed") {
    cardLayoutOutput.addClass("reverse-layout");
  }
  e.preventDefault();
});

$("#ccg-avatar-shape").on("change", function (e) {
  var avatarShapeOptions = $(this).find("option:selected");
  var avatarShapeOutput = $("#ccg-output .card-avatar-wrapper");
  if (avatarShapeOptions.attr("value") == "diamond") {
    avatarShapeOutput.removeClass("circle-avatar hexagon-avatar no-avatar square-avatar");
  } else if (avatarShapeOptions.attr("value") == "circle") {
    avatarShapeOutput.removeClass("hexagon-avatar no-avatar square-avatar").addClass("circle-avatar");
  } else if (avatarShapeOptions.attr("value") == "hexagon") {
    avatarShapeOutput.removeClass("circle-avatar no-avatar square-avatar").addClass("hexagon-avatar");
  } else if (avatarShapeOptions.attr("value") == "none") {
    avatarShapeOutput.removeClass("circle-avatar hexagon-avatar square-avatar").addClass("no-avatar");
  } else if (avatarShapeOptions.attr("value") == "square") {
    avatarShapeOutput.removeClass("circle-avatar Hexagon-avatar no-avatar").addClass("square-avatar");
  }
  e.preventDefault();
});

$("#ccg-avatar-shadow").on("change", function (e) {
  var avatarShadowOptions = $(this).find("option:selected");
  var avatarShadowOutput = $("#ccg-background-output .card-avatar-wrapper");
  var avatarLineShadowOutput = $("#ccg-name-output + hr");
  if (avatarShadowOptions.attr("value") == "none") {
    avatarShadowOutput.css("filter", "").removeClass("filter-shadow-1 filter-shadow-2 filter-shadow-3 filter-shadow-4").addClass("filter-shadow-0");
    avatarLineShadowOutput.css("box-shadow", "").removeClass("box-shadow-1 box-shadow-2 box-shadow-3 box-shadow-4").addClass("box-shadow-0");
  } else if (avatarShadowOptions.attr("value") == "xsmall") {
    avatarShadowOutput.css("filter", "").removeClass("filter-shadow-0 filter-shadow-2 filter-shadow-3 filter-shadow-4").addClass("filter-shadow-1");
    avatarLineShadowOutput.css("box-shadow", "").removeClass("box-shadow-0 box-shadow-2 box-shadow-3 box-shadow-4").addClass("box-shadow-1");
  } else if (avatarShadowOptions.attr("value") == "small") {
    avatarShadowOutput.css("filter", "").removeClass("filter-shadow-0 filter-shadow-1 filter-shadow-3 filter-shadow-4").addClass("filter-shadow-2");
    avatarLineShadowOutput.css("box-shadow", "").removeClass("box-shadow-0 box-shadow-1 box-shadow-3 box-shadow-4").addClass("box-shadow-2");
  } else if (avatarShadowOptions.attr("value") == "medium") {
    avatarShadowOutput.css("filter", "").removeClass("filter-shadow-0 filter-shadow-1 filter-shadow-2 filter-shadow-4").addClass("filter-shadow-3");
    avatarLineShadowOutput.css("box-shadow", "").removeClass("box-shadow-0 box-shadow-1 box-shadow-2 box-shadow-4").addClass("box-shadow-3");
  } else if (avatarShadowOptions.attr("value") == "large") {
    avatarShadowOutput.css("filter", "").removeClass("filter-shadow-0 filter-shadow-1 filter-shadow-2 filter-shadow-3").addClass("filter-shadow-4");
    avatarLineShadowOutput.css("box-shadow", "").removeClass("box-shadow-0 box-shadow-1 box-shadow-2 box-shadow-3").addClass("box-shadow-4");
  }
  e.preventDefault();
});

$("#ccg-card-corners").on("change", function (e) {
  var cardCornersOptions = $(this).find("option:selected");
  var cardCornersOutput = $("#ccg-background-output, #ccg-background-output > .card-img-overlay, #ccg-background-overlay");
  if (cardCornersOptions.attr("value") == "none") {
    cardCornersOutput.removeClass("rounded-1 rounded-2 rounded-3").addClass("rounded-0");
  } else if (cardCornersOptions.attr("value") == "small") {
    cardCornersOutput.removeClass("rounded-0 rounded-2 rounded-3").addClass("rounded-1");
  } else if (cardCornersOptions.attr("value") == "medium") {
    cardCornersOutput.removeClass("rounded-0 rounded-1 rounded-3").addClass("rounded-2");
  } else if (cardCornersOptions.attr("value") == "large") {
    cardCornersOutput.removeClass("rounded-0 rounded-1 rounded-2").addClass("rounded-3");
  }
  e.preventDefault();
});

$("#ccg-name-font-size").on("change", function (e) {
  var nameFontSizeOptions = $(this).find("option:selected");
  var nameFontSizeOutput = $("#ccg-name-output");
  if (nameFontSizeOptions.attr("value") == "xsmall") {
    nameFontSizeOutput.removeClass("fs-2 fs-3 fs-4 fs-5").addClass("fs-6");
  } else if (nameFontSizeOptions.attr("value") == "small") {
    nameFontSizeOutput.removeClass("fs-2 fs-3 fs-4 fs-6").addClass("fs-5");
  } else if (nameFontSizeOptions.attr("value") == "medium") {
    nameFontSizeOutput.removeClass("fs-2 fs-3 fs-5 fs-6").addClass("fs-4");
  } else if (nameFontSizeOptions.attr("value") == "large") {
    nameFontSizeOutput.removeClass("fs-2 fs-4 fs-5 fs-6").addClass("fs-3");
  } else if (nameFontSizeOptions.attr("value") == "xlarge") {
    nameFontSizeOutput.removeClass("fs-3 fs-4 fs-5 fs-6").addClass("fs-2");
  }
  e.preventDefault();
});

$("#ccg-quote-font-size").on("change", function (e) {
  var quoteFontSizeOptions = $(this).find("option:selected");
  var quoteFontSizeOutput = $("#ccg-quote-output");
  if (quoteFontSizeOptions.attr("value") == "xxsmall") {
    quoteFontSizeOutput.removeClass("fs-6").addClass("fs-7");
  } else if (quoteFontSizeOptions.attr("value") == "xsmall") {
    quoteFontSizeOutput.removeClass("fs-7").addClass("fs-6");
  }
  e.preventDefault();
});

$("#ccg-name-text-alignment").on("change", function (e) {
  var nameTextAlignmentOptions = $(this).find("option:selected");
  var nameTextAlignmentOutput = $("#ccg-name-output");
  if (nameTextAlignmentOptions.attr("value") == "left") {
    nameTextAlignmentOutput.removeClass("text-center text-end").addClass("text-start");
  } else if (nameTextAlignmentOptions.attr("value") == "center") {
    nameTextAlignmentOutput.removeClass("text=start text-end").addClass("text-center");
  } else if (nameTextAlignmentOptions.attr("value") == "right") {
    nameTextAlignmentOutput.removeClass("text-start text-center").addClass("text-end");
  }
  e.preventDefault();
});

$("#ccg-quote-text-alignment").on("change", function (e) {
  var quoteTextAlignmentOptions = $(this).find("option:selected");
  var quoteTextAlignmentOutput = $("#ccg-quote-output");
  if (quoteTextAlignmentOptions.attr("value") == "left") {
    quoteTextAlignmentOutput.removeClass("text-center text-end").addClass("text-start");
  } else if (quoteTextAlignmentOptions.attr("value") == "center") {
    quoteTextAlignmentOutput.removeClass("text=start text-end").addClass("text-center");
  } else if (quoteTextAlignmentOptions.attr("value") == "right") {
    quoteTextAlignmentOutput.removeClass("text-start text-center").addClass("text-end");
  }
  e.preventDefault();
});

$("#ccg-name-font-weight").on("change", function (e) {
  var nameFontWeightOptions = $(this).find("option:selected");
  var nameFontWeightOutput = $("#ccg-name-output");
  if (nameFontWeightOptions.attr("value") == "lighter") {
    nameFontWeightOutput.removeClass("fw-light fw-normal fw-bold fw-bolder").addClass("fw-lighter");
  } else if (nameFontWeightOptions.attr("value") == "light") {
    nameFontWeightOutput.removeClass("fw-lighter fw-normal fw-bold fw-bolder").addClass("fw-light");
  } else if (nameFontWeightOptions.attr("value") == "normal") {
    nameFontWeightOutput.removeClass("fw-lighter fw-light fw-bold fw-bolder").addClass("fw-normal");
  } else if (nameFontWeightOptions.attr("value") == "bold") {
    nameFontWeightOutput.removeClass("fw-lighter fw-light fw-normal fw-bolder").addClass("fw-bold");
  } else if (nameFontWeightOptions.attr("value") == "bolder") {
    nameFontWeightOutput.removeClass("fw-lighter fw-light fw-normal fw-bold").addClass("fw-bolder");
  }
  e.preventDefault();
});

$("#ccg-quote-font-weight").on("change", function (e) {
  var quoteFontWeightOptions = $(this).find("option:selected");
  var quoteFontWeightOutput = $("#ccg-quote-output");
  if (quoteFontWeightOptions.attr("value") == "lighter") {
    quoteFontWeightOutput.removeClass("fw-light fw-normal fw-bold fw-bolder").addClass("fw-lighter");
  } else if (quoteFontWeightOptions.attr("value") == "light") {
    quoteFontWeightOutput.removeClass("fw-lighter fw-normal fw-bold fw-bolder").addClass("fw-light");
  } else if (quoteFontWeightOptions.attr("value") == "normal") {
    quoteFontWeightOutput.removeClass("fw-lighter fw-light fw-bold fw-bolder").addClass("fw-normal");
  } else if (quoteFontWeightOptions.attr("value") == "bold") {
    quoteFontWeightOutput.removeClass("fw-lighter fw-light fw-normal fw-bolder").addClass("fw-bold");
  } else if (quoteFontWeightOptions.attr("value") == "bolder") {
    quoteFontWeightOutput.removeClass("fw-lighter fw-light fw-normal fw-bold").addClass("fw-bolder");
  }
  e.preventDefault();
});

$("#ccg-name-font-shadow").on("change", function (e) {
  var nameFontShadowOptions = $(this).find("option:selected");
  var nameFontShadowOutput = $("#ccg-name-output");
  if (nameFontShadowOptions.attr("value") == "none") {
    nameFontShadowOutput.css("text-shadow", "").removeClass("text-shadow-1 text-shadow-2 text-shadow-3 text-shadow-4").addClass("text-shadow-0");
  } else if (nameFontShadowOptions.attr("value") == "xsmall") {
    nameFontShadowOutput.css("text-shadow", "").removeClass("text-shadow-0 text-shadow-2 text-shadow-3 text-shadow-4").addClass("text-shadow-1");
  } else if (nameFontShadowOptions.attr("value") == "small") {
    nameFontShadowOutput.css("text-shadow", "").removeClass("text-shadow-0 text-shadow-1 text-shadow-3 text-shadow-4").addClass("text-shadow-2");
  } else if (nameFontShadowOptions.attr("value") == "medium") {
    nameFontShadowOutput.css("text-shadow", "").removeClass("text-shadow-0 text-shadow-1 text-shadow-2 text-shadow-4").addClass("text-shadow-3");
  } else if (nameFontShadowOptions.attr("value") == "large") {
    nameFontShadowOutput.css("text-shadow", "").removeClass("text-shadow-0 text-shadow-1 text-shadow-2 text-shadow-3").addClass("text-shadow-4");
  }
  e.preventDefault();
});

$("#ccg-quote-font-shadow").on("change", function (e) {
  var quoteFontShadowOptions = $(this).find("option:selected");
  var quoteFontShadowOutput = $("#ccg-quote-output");
  if (quoteFontShadowOptions.attr("value") == "none") {
    quoteFontShadowOutput.css("text-shadow", "").removeClass("text-shadow-1 text-shadow-2 text-shadow-3 text-shadow-4").addClass("text-shadow-0");
  } else if (quoteFontShadowOptions.attr("value") == "xsmall") {
    quoteFontShadowOutput.css("text-shadow", "").removeClass("text-shadow-0 text-shadow-2 text-shadow-3 text-shadow-4").addClass("text-shadow-1");
  } else if (quoteFontShadowOptions.attr("value") == "small") {
    quoteFontShadowOutput.css("text-shadow", "").removeClass("text-shadow-0 text-shadow-1 text-shadow-3 text-shadow-4").addClass("text-shadow-2");
  } else if (quoteFontShadowOptions.attr("value") == "medium") {
    quoteFontShadowOutput.css("text-shadow", "").removeClass("text-shadow-0 text-shadow-1 text-shadow-2 text-shadow-4").addClass("text-shadow-3");
  } else if (quoteFontShadowOptions.attr("value") == "large") {
    quoteFontShadowOutput.css("text-shadow", "").removeClass("text-shadow-0 text-shadow-1 text-shadow-2 text-shadow-3").addClass("text-shadow-4");
  }
  e.preventDefault();
});

$("#ccg-name-font-italics").on("change", function () {
  if ($(this).is(":checked")) {
    $("#ccg-name-output").addClass("fst-italic");
  } else {
    $("#ccg-name-output").removeClass("fst-italic");
  }
});

$("#ccg-quote-font-italics").on("change", function () {
  if ($(this).is(":checked")) {
    $("#ccg-quote-output").addClass("fst-italic");
  } else {
    $("#ccg-quote-output").removeClass("fst-italic");
  }
});

$("#ccg-name-letter-spacing").on("change", function () {
  $("#ccg-name-output").css("letter-spacing", $(this).val() + "rem");
});

$("#ccg-name-letter-spacing").on("change", function () {
  $("#ccg-name-letter-spacing-value").text($(this).val());
});

$("#ccg-quote-letter-spacing").on("change", function () {
  $("#ccg-quote-output").css("letter-spacing", $(this).val() + "rem");
});

$("#ccg-quote-letter-spacing").on("change", function () {
  $("#ccg-quote-letter-spacing-value").text($(this).val());
});

$("#ccg-name-word-spacing").on("change", function () {
  $("#ccg-name-output").css("word-spacing", $(this).val() + "rem");
});

$("#ccg-name-word-spacing").on("change", function () {
  $("#ccg-name-word-spacing-value").text($(this).val());
});

$("#ccg-quote-word-spacing").on("change", function () {
  $("#ccg-quote-output").css("word-spacing", $(this).val() + "rem");
});

$("#ccg-quote-word-spacing").on("change", function () {
  $("#ccg-quote-word-spacing-value").text($(this).val());
});

$("#ccg-outer-border-color").on("change", function () {
  $("#ccg-background-output").css("border-color", $(this).val());
});

$("#ccg-inner-border-color").on("change", function () {
  $("#ccg-output .card-avatar").css("background-color", $(this).val());
  $("#ccg-output .card-title > hr").css("border-bottom-color", $(this).val());
});

$("#ccg-name-color").on("change", function () {
  $("#ccg-output .card-title > h3").css("color", $(this).val());
});

$("#ccg-quote-color").on("change", function () {
  $("#ccg-output .card-text > p").css("color", $(this).val());
});

$("#ccg-card-shadow-color").on("change", function () {
  var textShadow = $("#ccg-name-output, #ccg-quote-output");
  if (textShadow.hasClass("text-shadow-1")) {
    textShadow.css("text-shadow", "0 0 0" + $(this).val() + ", 0 0 .075rem" + $(this).val());
  } else if (textShadow.hasClass("text-shadow-2")) {
    textShadow.css("text-shadow", "0 0 .075rem" + $(this).val() + ", 0 0 .15rem" + $(this).val());
  } else if (textShadow.hasClass("text-shadow-3")) {
    textShadow.css("text-shadow", "0 0 .15rem" + $(this).val() + ", 0 0 .3rem" + $(this).val());
  } else if (textShadow.hasClass("text-shadow-4")) {
    textShadow.css("text-shadow", "0 0 .3rem" + $(this).val() + ", 0 0 .45rem" + $(this).val());
  } else {
    textShadow.css("text-shadow", "");
  }
});

$("#ccg-card-shadow-color").on("change", function () {
  var avatarShadow = $("#ccg-background-output .card-avatar-wrapper");
  var lineShadow = $("#ccg-name-output + hr");
  if (avatarShadow.hasClass("filter-shadow-1") && lineShadow.hasClass("box-shadow-1")) {
    avatarShadow.css("filter", "drop-shadow(0 0 .075rem" + $(this).val() + ")");
    lineShadow.css("box-shadow", "0 0 0" + $(this).val() + ", 0 0 .075rem" + $(this).val());
  } else if (avatarShadow.hasClass("filter-shadow-2") && lineShadow.hasClass("box-shadow-2")) {
    avatarShadow.css("filter", "drop-shadow(0 0 .15rem" + $(this).val() + ")");
    lineShadow.css("box-shadow", "0 0 .075rem" + $(this).val() + ", 0 0 .15rem" + $(this).val());
  } else if (avatarShadow.hasClass("filter-shadow-3") && lineShadow.hasClass("box-shadow-3")) {
    avatarShadow.css("filter", "drop-shadow(0 0 .3rem" + $(this).val() + ")");
    lineShadow.css("box-shadow", "0 0 .15rem" + $(this).val() + ", 0 0 .3rem" + $(this).val());
  } else if (avatarShadow.hasClass("filter-shadow-4") && lineShadow.hasClass("box-shadow-4")) {
    avatarShadow.css("filter", "drop-shadow(0 0 .45rem" + $(this).val() + ")");
    lineShadow.css("box-shadow", "0 0 .3rem" + $(this).val() + ", 0 0 .45rem" + $(this).val());
  } else {
    avatarShadow.css("flter", "none");
    lineShadow.css("box-shadow", "none");
  }
});

$("#ccg-overlay-color").on("change", function () {
  $("#ccg-background-overlay").css("background-color", $(this).val());
});

$("#ccg-overlay-opacity").on("change", function () {
  $("#ccg-background-overlay").css("opacity", $(this).val() + "%");
});

$("#ccg-overlay-opacity").on("change", function () {
  $("#ccg-overlay-opacity-value").text($(this).val() + "%");
});

//Initialize Font Picker.
const fontPickerName = new FontPicker("AIzaSyB_aqOfzicHKBAbNKlTgS2Lp1FsJJd9Gtw", "EB Garamond", {
  limit: 50,
  pickerId: "name",
});
const fontPickerQuote = new FontPicker("AIzaSyB_aqOfzicHKBAbNKlTgS2Lp1FsJJd9Gtw", "Montserrat", {
  limit: 50,
  pickerId: "quote",
});

//Convert image file uploads to Base64 and output to the template.
function avatarUploadOutput(element) {
  var file = element.files[0];
  var reader = new FileReader();
  reader.onloadend = function () {
    $("#ccg-avatar-output").css("background-image", "url(" + reader.result + ")");
  };
  reader.readAsDataURL(file);
}

function backgroundUploadOutput(element) {
  var file = element.files[0];
  var reader = new FileReader();
  reader.onloadend = function () {
    $("#ccg-background-output").css("background-image", "url(" + reader.result + ")");
  };
  reader.readAsDataURL(file);
}

//Render an image of the character card for download.
function ccgCapture() {
  domtoimage.toBlob(document.getElementById("ccg-output")).then(function (blob) {
    window.saveAs(blob, "character-card_" + new Date().toJSON().slice(0, 10) + ".png");
  });
}

//Reset all input and output elements.
function ccgReset() {
  $(".form-control").val("");
  $(".form-control-color").each(function () {
    var colorInput = $(this).attr("value");
    $(this).val(colorInput);
  });
  $(".form-range").each(function () {
    var rangeInput = $(this).attr("value");
    $(this).val(rangeInput);
  });
  $(".form-select").prop("selectedIndex", 0);
  $("#ccg-name-font-italics").prop("checked", false);
  $("#ccg-quote-font-italics").prop("checked", true);
  $("#ccg-name-output").text("Character Name");
  $("#ccg-avatar-output").css("background-image", "url('../character-card-generator/assets/images/ccg-default-avatar.jpg')");
  $("#ccg-background-output").css("background-image", "url('../character-card-generator/assets/images/ccg-default-bkg.jpg')");
  $("#ccg-quote-output").text("A short but memorable quote...");
  $("#ccg-output").removeClass("reverse-layout");
  $("#ccg-output .card-avatar-wrapper").removeClass("circle-avatar hexagon-avatar no-avatar square-avatar");
  $("#ccg-background-output, #ccg-background-output > .card-img-overlay, #ccg-background-overlay").removeClass("rounded-1 rounded-2 rounded-3").addClass("rounded-0");
  $("#ccg-background-output").css("border-color", "");
  $("#ccg-output .card-avatar").css("background-color", "");
  $("#ccg-output .card-title > hr").css("border-bottom-color", "");
  $("#ccg-output .card-title > h3").css("color", "");
  $("#ccg-output .card-text > p").css("color", "");
  $("#ccg-name-output, #ccg-quote-output").css("text-shadow", "").removeClass("text-shadow-0 text-shadow-1 text-shadow-2 text-shadow-3 text-shadow-4").addClass("text-shadow-4");
  $("#ccg-background-output .card-avatar-wrapper").css("filter", "").removeClass("filter-shadow-0 filter-shadow-1 filter-shadow-2 filter-shadow-3 filter-shadow-4");
  $("#ccg-name-output + hr").css("box-shadow", "").removeClass("box-shadow-0 box-shadow-1 box-shadow-2 box-shadow-3 box-shadow-4");
  $("#ccg-background-overlay").css("background-color", "");
  $("#ccg-background-overlay").css("opacity", "");
  fontPickerName.setActiveFont("EB Garamond");
  fontPickerQuote.setActiveFont("Montserrat");
  $("#ccg-name-output").removeClass("fs-2 fs-3 fs-4 fs-5 fs-6");
  $("#ccg-quote-output").removeClass("fs-6 fs-7").addClass("fs-6");
  $("#ccg-name-output,#ccg-quote-output").removeClass("text-start text-center text-end");
  $("#ccg-name-output,#ccg-quote-output").removeClass("fw-lighter fw-light fw-normal fw-bold fw-bolder");
  $("#ccg-name-output").removeClass("fst-italic");
  $("#ccg-quote-output").removeClass("fst-italic").addClass("fst-italic");
  $("#ccg-name-output,#ccg-quote-output").css({
    "letter-spacing": "",
    "word-spacing": "",
  });
  $("#ccg-name-letter-spacing-value,#ccg-name-word-spacing-value,#ccg-quote-letter-spacing-value,#ccg-quote-word-spacing-value").text("0");
  $("#ccg-overlay-opacity-value").text("75%");
}

function ccgResetNameFont() {
  fontPickerName.setActiveFont("EB Garamond");
}

function ccgResetQuoteFont() {
  fontPickerQuote.setActiveFont("Montserrat");
}